The Author Online Book Forums are Moving

The Author Online Book Forums will soon redirect to Manning's liveBook and liveVideo. All book forum content will migrate to liveBook's discussion forum and all video forum content will migrate to liveVideo. Log in to liveBook or liveVideo with your Manning credentials to join the discussion!

Thank you for your engagement in the AoF over the years! We look forward to offering you a more enhanced forum experience.

HuubS (3) [Avatar] Offline
#1
Hello,

I get a number of errors while trying to prepare-environment.

Apache servicemix 3.2.1 is not available for download
apache-cxf-2.0.7 does not download well (corrupted file)

Last but not least:
BUILD FAILED
C:osesbinactionuild.xml:214: java.lang.UnsupportedClassVersionError: Bad version number in .class file

This last error seems to be caused because I'm running java 5 instead of java 6.
But ServiceMix and Mule should run with java 5.
So I find it unacceptable that I should switch to Java 6 to get the examples running; I need my Java 5 settings for other projects.

So how do I work around this?

Greetings,
Huub
vmaier (25) [Avatar] Offline
#2
Re: build errors prepare-environment
Hi,

To begin with, replace all references to 3.2.1 to 3.2.3. In terms of downloading, when I got corrupted files I manually downloaded them and put them in the work directory.
tijs.rademakers (494) [Avatar] Offline
#3
Re: build errors prepare-environment
Hi Huub,

I will update the Ant script so it can download everything. I will post a new version on the esbinaction.com website and post an announcement on this forum. I understand your comment about Java 6. I will see if we can find a way to solve this.

Best regards,

Tijs